> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/release-notes/backend/july-2026/jul-30.md).

# Jul 30

| Environment    | Date         |
| -------------- | ------------ |
| Pre-Production | Jul 23, 2026 |
| Production     | Jul 30, 2026 |

### Core

#### Improvements

* Validate the PAN against the card product BIN range in `registerCard` v1 when `getCardCredentials` API is called.

### Tokenization (Classic)

#### Improvements

* VISA [Card lifecycle use case](https://docs.payments.thalescloud.io/classic-tokenization/use-cases/post-enrolment/card-life-cycle-management/replace-or-renew-a-card): If a positive 'PAN Lifecycle' response has been received from VTS without PAN Update notification acknowledgment, at lifecycle session TTL expiration, a 'successful' (i.e. without any '**errorCode**' ) [notifyVirtualCardChange](https://docs.payments.thalescloud.io/classic-tokenization/api-reference/issuer-gateway-api/outbound-to-issuer#post-notifyvirtualcardchange) notification (one for each concerned token) is sent to the issuer.

### xPay Enablement

#### Google Transit : Life Cycle Management - Support of Delete and Suspend Use-cases

* [Park from Device](https://docs.payments.thalescloud.io/transit-digitization/implement-google-transit/account-based-ticketing-abt/lifecycle-management/park-from-device)

  Support of parking the device when the user initiates the park workflow from his wallet. Google attempts to delete the token on the device. Additionally, Google notifies D1 Transit platform of the deletion by sending a deleteToken request.
* [Suspend/Resume from Google](https://docs.payments.thalescloud.io/transit-digitization/implement-google-transit/account-based-ticketing-abt/lifecycle-management/suspend-resume-from-google)
  * The user initiates the suspension workflow by activating Lost Mode via the find my phone service. For each card in the user's Wallet, Google will attempt to suspend the token on the device, though this is on a best-effort basis since the device could be offline. Additionally, Google notifies D1 Transit platform of the suspension by sending a suspendToken request.\
    D1 Transit then notifies the Transit Issuer so it can put the card to the deny list, ensuring it cannot be used for transit. This step is crucial if the device is offline, as the card may not be suspended immediately.
  * The user initiates the resumption process by authenticating to his device, which is currently in Lost Mode. For each card in the user's Wallet, Google will attempt to resume the tokens on the device, though this is on a best-effort basis since the device could be offline. Google notifies D1 Transit platform of the resumption by sending a resumeToken request.\
    D1 Transit then notifies the Transit Issuer. Transit Issuer, if the card is on the deny list, can remove it to allow transit use.
* [Suspend/Resume from Transit Issuer](https://docs.payments.thalescloud.io/transit-digitization/implement-google-transit/account-based-ticketing-abt/lifecycle-management/suspend-resume-from-transit-issuer)
  * Transit Issuer sends a manageDigitalCard to D1 Transit platform, which itself, sends handleTspEvent to Google.\
    Upon receiving this request, Google fetches the state change to apply and attempt to apply it to the digital card on the device, though this is on a best-effort basis since the device could be offline.\
    D1 Transit notifies the Transit Issuer that the state change order was submitted to Google.

### Merchant Tokenization

#### New Features

* Add the `MASTERCARD_TAS` transaction type to the Create Transaction v2 operation for Mastercard passkey support.

#### Bug Fixes

* Fix the Merchant Tokenization SDK device-binding flow. Add `kid` to `bindMFA` and remove deprecated fields.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/release-notes/backend/july-2026/jul-30.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
